package com.nmgs.controller;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.nmgs.service.impl.ExcelDateImpl;
import com.nmgs.util.ExcelUtil;
import com.nmgs.util.LogUtil;
import com.nmgs.util.PubTools;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import springfox.documentation.annotations.ApiIgnore;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.sql.SQLException;
import java.util.List;
import java.util.Map;

@Controller
@RequestMapping("/exportData")
@ApiIgnore
public class ExportData {
/*
    @Autowired
    private ExcelDateImpl excelDateImpl;


    @GetMapping(value = "/exportDivPassidAllData")
    public void exportData(String paramsData,@RequestBody(required = false) Object req, HttpServletResponse response) {
        try {

            if(req==null || req== "undefined"){
                req=JSONObject.parse(paramsData);
            }
            Integer start=0;
            Integer end=0;
            Integer pageSize=0;//每页条数
            Integer pageNum=0;//当前页码
            String status="";//拆分结果
            String vecheClass="";//车种
            String vecheType="";
            //查询条件
            String classDate="";
            String sPassId="";
            String enSTANAME="";
            String exSTANAME="";
            String sVEHICLEID="";
            String sVecheClass="";//车种
            String sVecheType="";//车型
            String sExitfeeType="";//出口计费方式
            String SENSTANAMEID="";//入口站ID
            String SEXSTANAMEID="";//出口站ID
            String sStatus="";
            String isPage="";//是否分页
            if(!PubTools.isEmpty(req)){
                if(req instanceof Map){
                    classDate=((Map<String,Object>) req).get("dataTime").toString();
                    vecheType=!PubTools.isEmpty(((Map<String,Object>) req).get("vecheType"))?((Map<String,Object>) req).get("vecheType").toString():"";
                    vecheClass=!PubTools.isEmpty(((Map<String,Object>) req).get("vecheClass"))?((Map<String,Object>) req).get("vecheClass").toString():"";
                    status=!PubTools.isEmpty(((Map<String,Object>) req).get("status"))?((Map<String,Object>) req).get("status").toString():"";
                    pageSize= !PubTools.isEmpty(((Map<String,Object>) req).get("pageSize"))?Integer.parseInt(((Map<String,Object>) req).get("pageSize").toString()):0;
                    pageNum= !PubTools.isEmpty(((Map<String,Object>) req).get("pageNum"))?Integer.parseInt(((Map<String,Object>) req).get("pageNum").toString()):0;
                    sPassId=!PubTools.isEmpty(((Map<String,Object>) req).get("SPASSID"))?((Map<String,Object>) req).get("SPASSID").toString():"";
                    enSTANAME=!PubTools.isEmpty(((Map<String,Object>) req).get("ENSTANAME"))?((Map<String,Object>) req).get("ENSTANAME").toString():"";
                    exSTANAME=!PubTools.isEmpty(((Map<String,Object>) req).get("EXSTANAME"))?((Map<String,Object>) req).get("EXSTANAME").toString():"";
                    sVEHICLEID=!PubTools.isEmpty(((Map<String,Object>) req).get("SVEHICLEID"))?((Map<String,Object>) req).get("SVEHICLEID").toString():"";
                    sVecheClass=!PubTools.isEmpty(((Map<String,Object>) req).get("SVECHECLASS"))?((Map<String,Object>) req).get("SVECHECLASS").toString():"";
                    sVecheType=!PubTools.isEmpty(((Map<String,Object>) req).get("SVECHETYPE"))?((Map<String,Object>) req).get("SVECHETYPE").toString():"";
                    sExitfeeType=!PubTools.isEmpty(((Map<String,Object>) req).get("SEXITFEETYPE"))?((Map<String,Object>) req).get("SEXITFEETYPE").toString():"";
                    SENSTANAMEID=!PubTools.isEmpty(((Map<String,Object>) req).get("SENSTANAMEID"))?((Map<String,Object>) req).get("SENSTANAMEID").toString():"";
                    SEXSTANAMEID=!PubTools.isEmpty(((Map<String,Object>) req).get("SEXSTANAMEID"))?((Map<String,Object>) req).get("SEXSTANAMEID").toString():"";
                    sStatus=!PubTools.isEmpty(((Map<String,Object>) req).get("SSTATUS"))?((Map<String,Object>) req).get("SSTATUS").toString():"";
                    isPage=!PubTools.isEmpty(((Map<String,Object>) req).get("ISPAGE"))?((Map<String,Object>) req).get("ISPAGE").toString():"";
                }else  if(req instanceof JSONObject){
                    classDate=((JSONObject) req).get("dataTime").toString();
                    pageSize= !PubTools.isEmpty(((JSONObject) req).get("pageSize"))?Integer.parseInt(((JSONObject) req).get("pageSize").toString()):0;
                    pageNum= !PubTools.isEmpty(((JSONObject) req).get("pageNum"))?Integer.parseInt(((JSONObject) req).get("pageNum").toString()):0;
                    vecheType=((JSONObject) req).get("vecheType").toString();
                    vecheClass=!PubTools.isEmpty(((JSONObject) req).get("vecheClass"))?((JSONObject) req).get("vecheClass").toString():"";
                    status=!PubTools.isEmpty(((JSONObject) req).get("status"))?((JSONObject) req).get("status").toString():"";
                    sPassId=!PubTools.isEmpty(((JSONObject) req).get("SPASSID"))?((JSONObject) req).get("SPASSID").toString():"";
                    enSTANAME=!PubTools.isEmpty(((JSONObject) req).get("ENSTANAME"))?((JSONObject) req).get("ENSTANAME").toString():"";
                    exSTANAME=!PubTools.isEmpty(((JSONObject) req).get("EXSTANAME"))?((JSONObject) req).get("EXSTANAME").toString():"";
                    sVEHICLEID=!PubTools.isEmpty(((JSONObject) req).get("SVEHICLEID"))?((JSONObject) req).get("SVEHICLEID").toString():"";
                    sVecheClass=!PubTools.isEmpty(((JSONObject) req).get("SVECHECLASS"))?((JSONObject) req).get("SVECHECLASS").toString():"";
                    sVecheType=!PubTools.isEmpty(((JSONObject) req).get("SVECHETYPE"))?((JSONObject) req).get("SVECHETYPE").toString():"";
                    sExitfeeType=!PubTools.isEmpty(((JSONObject) req).get("SEXITFEETYPE"))?((JSONObject) req).get("SEXITFEETYPE").toString():"";
                    SENSTANAMEID=!PubTools.isEmpty(((JSONObject) req).get("SENSTANAMEID"))?((JSONObject) req).get("SENSTANAMEID").toString():"";
                    SEXSTANAMEID=!PubTools.isEmpty(((JSONObject) req).get("SEXSTANAMEID"))?((JSONObject) req).get("SEXSTANAMEID").toString():"";
                    sStatus=!PubTools.isEmpty(((JSONObject) req).get("SSTATUS"))?((Map<String,Object>) req).get("SSTATUS").toString():"";
                    isPage=!PubTools.isEmpty(((JSONObject) req).get("ISPAGE"))?((Map<String,Object>) req).get("ISPAGE").toString():"";
                }
            }
            String whereParams="[{\"colName\":\"sPassId\",\"value\":\""+sPassId+"\"},{\"colName\":\"enSTANAME\",\"value\":\""+enSTANAME+"\"}," +
                    "{\"colName\":\"exSTANAME\",\"value\":\""+exSTANAME+"\"},{\"colName\":\"sVEHICLEID\",\"value\":\""+sVEHICLEID+"\"}," +
                    "{\"colName\":\"sVecheClass\",\"value\":\""+sVecheClass+"\"},{\"colName\":\"sVecheType\",\"value\":\""+sVecheType+"\"}," +
                    "{\"colName\":\"sExitfeeType\",\"value\":\""+sExitfeeType+"\"},{\"colName\":\"SENSTANAMEID\",\"value\":\""+SENSTANAMEID+"\"}," +
                    "{\"colName\":\"SEXSTANAMEID\",\"value\":\""+SEXSTANAMEID+"\"},{\"colName\":\"sStatus\",\"value\":\""+sStatus+"\"}]";
            if(PubTools.isNull(isPage) || "Y".equals(isPage)){
                start=(pageNum-1)*pageSize+1;
                end=pageNum*pageSize;
            }else{
                start=pageNum;
                end=pageSize;
            }
            List<DivPassidAllDto> list = excelDateImpl.getDivPassidAll(classDate,vecheType,status,vecheClass,start,end,JSONArray.parseArray(whereParams));
                ExcelUtil.exportExcel(response,list,DivPassidAllDto.class,"流水信息","流水信息");
        } catch (IOException e) {
            e.printStackTrace();
            LogUtil.WriteLog_Error("流水数据导出失败"+e.getMessage(),"ExportData");
        }
    }

    @GetMapping(value = "/exportoutPortDivPassid")
    public void exportoutPortDivPassid(String paramsData,@RequestBody(required = false) Object req, HttpServletResponse response) {
        try {

            if(req==null || req== "undefined"){
                req=JSONObject.parse(paramsData);
            }
            String classDate="";
            Integer start=0;
            Integer end=0;
            Integer pageSize=0;//每页条数
            Integer pageNum=0;//当前页码
            //查询条件
            String sPassId="";
            String enSTANAME="";
            String exSTANAME="";
            String sVEHICLEID="";
            String sVecheClass="";//车种
            String sVecheType="";//车型
            String sExitfeeType="";//出口计费方式
            String SENSTANAMEID="";//入口站ID
            String SEXSTANAMEID="";//出口站ID
            String subconno="";//出口站ID
            String roadno="";//出口站ID
            String stano="";//出口站ID
            String sStatus="";
            String isPage="";
            if(!PubTools.isEmpty(req)){
                if(req instanceof Map){
                    classDate=((Map<String,Object>) req).get("dataTime").toString();
                    pageSize= !PubTools.isEmpty(((Map<String,Object>) req).get("pageSize"))?Integer.parseInt(((Map<String,Object>) req).get("pageSize").toString()):0;
                    pageNum= !PubTools.isEmpty(((Map<String,Object>) req).get("pageNum"))?Integer.parseInt(((Map<String,Object>) req).get("pageNum").toString()):0;
                    sPassId=!PubTools.isEmpty(((Map<String,Object>) req).get("SPASSID"))?((Map<String,Object>) req).get("SPASSID").toString():"";
                    enSTANAME=!PubTools.isEmpty(((Map<String,Object>) req).get("ENSTANAME"))?((Map<String,Object>) req).get("ENSTANAME").toString():"";
                    exSTANAME=!PubTools.isEmpty(((Map<String,Object>) req).get("EXSTANAME"))?((Map<String,Object>) req).get("EXSTANAME").toString():"";
                    sVEHICLEID=!PubTools.isEmpty(((Map<String,Object>) req).get("SVEHICLEID"))?((Map<String,Object>) req).get("SVEHICLEID").toString():"";
                    sVecheClass=!PubTools.isEmpty(((Map<String,Object>) req).get("SVECHECLASS"))?((Map<String,Object>) req).get("SVECHECLASS").toString():"";
                    sVecheType=!PubTools.isEmpty(((Map<String,Object>) req).get("SVECHETYPE"))?((Map<String,Object>) req).get("SVECHETYPE").toString():"";
                    sExitfeeType=!PubTools.isEmpty(((Map<String,Object>) req).get("SEXITFEETYPE"))?((Map<String,Object>) req).get("SEXITFEETYPE").toString():"";
                    SENSTANAMEID=!PubTools.isEmpty(((Map<String,Object>) req).get("SENSTANAMEID"))?((Map<String,Object>) req).get("SENSTANAMEID").toString():"";
                    SEXSTANAMEID=!PubTools.isEmpty(((Map<String,Object>) req).get("SEXSTANAMEID"))?((Map<String,Object>) req).get("SEXSTANAMEID").toString():"";
                    sStatus=!PubTools.isEmpty(((Map<String,Object>) req).get("SSTATUS"))?((Map<String,Object>) req).get("SSTATUS").toString():"";
                    subconno=!PubTools.isEmpty(((Map<String,Object>) req).get("SSUBCOMNO"))?((Map<String,Object>) req).get("SSUBCOMNO").toString():"";
                    roadno=!PubTools.isEmpty(((Map<String,Object>) req).get("SROADNO"))?((Map<String,Object>) req).get("SROADNO").toString():"";
                    stano=!PubTools.isEmpty(((Map<String,Object>) req).get("SSTANO"))?((Map<String,Object>) req).get("SSTANO").toString():"";
                    isPage=!PubTools.isEmpty(((Map<String,Object>) req).get("ISPAGE"))?((Map<String,Object>) req).get("ISPAGE").toString():"";
                }else  if(req instanceof JSONObject){
                    classDate=((JSONObject) req).get("dataTime").toString();
                    pageSize= !PubTools.isEmpty(((JSONObject) req).get("pageSize"))?Integer.parseInt(((JSONObject) req).get("pageSize").toString()):0;
                    pageNum= !PubTools.isEmpty(((JSONObject) req).get("pageNum"))?Integer.parseInt(((JSONObject) req).get("pageNum").toString()):0;
                    sPassId=!PubTools.isEmpty(((JSONObject) req).get("SPASSID"))?((JSONObject) req).get("SPASSID").toString():"";
                    enSTANAME=!PubTools.isEmpty(((JSONObject) req).get("ENSTANAME"))?((JSONObject) req).get("ENSTANAME").toString():"";
                    exSTANAME=!PubTools.isEmpty(((JSONObject) req).get("EXSTANAME"))?((JSONObject) req).get("EXSTANAME").toString():"";
                    sVEHICLEID=!PubTools.isEmpty(((JSONObject) req).get("SVEHICLEID"))?((JSONObject) req).get("SVEHICLEID").toString():"";
                    sVecheClass=!PubTools.isEmpty(((JSONObject) req).get("SVECHECLASS"))?((JSONObject) req).get("SVECHECLASS").toString():"";
                    sVecheType=!PubTools.isEmpty(((JSONObject) req).get("SVECHETYPE"))?((JSONObject) req).get("SVECHETYPE").toString():"";
                    sExitfeeType=!PubTools.isEmpty(((JSONObject) req).get("SEXITFEETYPE"))?((JSONObject) req).get("SEXITFEETYPE").toString():"";
                    SENSTANAMEID=!PubTools.isEmpty(((JSONObject) req).get("SENSTANAMEID"))?((JSONObject) req).get("SENSTANAMEID").toString():"";
                    SEXSTANAMEID=!PubTools.isEmpty(((JSONObject) req).get("SEXSTANAMEID"))?((JSONObject) req).get("SEXSTANAMEID").toString():"";
                    sStatus=!PubTools.isEmpty(((JSONObject) req).get("SSTATUS"))?((JSONObject) req).get("SSTATUS").toString():"";
                    subconno=!PubTools.isEmpty(((JSONObject) req).get("SSUBCOMNO"))?((JSONObject) req).get("SSUBCOMNO").toString():"";
                    roadno=!PubTools.isEmpty(((JSONObject) req).get("SROADNO"))?((JSONObject) req).get("SROADNO").toString():"";
                    stano=!PubTools.isEmpty(((JSONObject) req).get("STANO"))?((JSONObject) req).get("STANO").toString():"";
                    isPage=!PubTools.isEmpty(((JSONObject) req).get("ISPAGE"))?((JSONObject) req).get("ISPAGE").toString():"";
                }
            }

            String whereParams="[{\"colName\":\"sPassId\",\"value\":\""+sPassId+"\"},{\"colName\":\"enSTANAME\",\"value\":\""+enSTANAME+"\"}," +
                    "{\"colName\":\"exSTANAME\",\"value\":\""+exSTANAME+"\"},{\"colName\":\"sVEHICLEID\",\"value\":\""+sVEHICLEID+"\"}," +
                    "{\"colName\":\"sVecheClass\",\"value\":\""+sVecheClass+"\"},{\"colName\":\"sVecheType\",\"value\":\""+sVecheType+"\"}," +
                    "{\"colName\":\"sExitfeeType\",\"value\":\""+sExitfeeType+"\"},{\"colName\":\"SENSTANAMEID\",\"value\":\""+SENSTANAMEID+"\"}," +
                    "{\"colName\":\"SEXSTANAMEID\",\"value\":\""+SEXSTANAMEID+"\"},{\"colName\":\"sStatus\",\"value\":\""+sStatus+"\"}," +
                    "{\"colName\":\"subcomno\",\"value\":\""+subconno+"\"},{\"colName\":\"stano\",\"value\":\""+stano+"\"},{\"colName\":\"roadno\",\"value\":\""+roadno+"\"}]";
            if(PubTools.isNull(isPage) || "Y".equals(isPage)){
                start=(pageNum-1)*pageSize+1;
                end=pageNum*pageSize;
            }else{
                start=pageNum;
                end=pageSize;
            }
            List<OutPortDivPassidDto> list = excelDateImpl.getOutPortDivPassid(classDate,start,end, JSONArray.parseArray(whereParams));
            ExcelUtil.exportExcel(response,list, OutPortDivPassidDto.class,"出口流水信息","出口流水信息");
        } catch (IOException e) {
            e.printStackTrace();
            LogUtil.WriteLog_Error("出口流水数据导出失败"+e.getMessage(),"ExportData");
        }
    }

    @GetMapping(value="/exportGantryPassDivList")
    public void getGantryPassDivList(String paramsData, @RequestBody(required = false) Object req,HttpServletResponse response) throws SQLException {
        try {
            if(req==null || req== "undefined"){
                     req=JSONObject.parse(paramsData);
            }
                Integer start=0;
                Integer end=0;
                Integer pageSize=0;//每页条数
                Integer pageNum=0;//当前页码

                //查询条件
                String classDate="";
                String sPassId="";
                String enSTANAME="";
                String exSTANAME="";
                String sVEHICLEID="";
                String sVecheClass="";//车种
                String sVecheType="";//车型
                String sExitfeeType="";//出口计费方式
                String SENSTANAMEID="";//入口站ID
                String SEXSTANAMEID="";//出口站ID
                String sStatus="";//拆分状态
                String subconno="";//出口站ID
                String roadno="";//出口站ID
                String stano="";//出口站ID
                String sGANTRYHEX="";//省门架hex
                String sEACHGANTRY="";//互通站
            String isPage="";
                if(!PubTools.isEmpty(req)){
                    if(req instanceof Map){
                        classDate=((Map<String,Object>) req).get("dataTime").toString();
                        pageSize= !PubTools.isEmpty(((Map<String,Object>) req).get("pageSize"))?Integer.parseInt(((Map<String,Object>) req).get("pageSize").toString()):0;
                        pageNum= !PubTools.isEmpty(((Map<String,Object>) req).get("pageNum"))?Integer.parseInt(((Map<String,Object>) req).get("pageNum").toString()):0;
                        sPassId=!PubTools.isEmpty(((Map<String,Object>) req).get("SPASSID"))?((Map<String,Object>) req).get("SPASSID").toString():"";
                        enSTANAME=!PubTools.isEmpty(((Map<String,Object>) req).get("ENSTANAME"))?((Map<String,Object>) req).get("ENSTANAME").toString():"";
                        exSTANAME=!PubTools.isEmpty(((Map<String,Object>) req).get("EXSTANAME"))?((Map<String,Object>) req).get("EXSTANAME").toString():"";
                        sVEHICLEID=!PubTools.isEmpty(((Map<String,Object>) req).get("SVEHICLEID"))?((Map<String,Object>) req).get("SVEHICLEID").toString():"";
                        sVecheClass=!PubTools.isEmpty(((Map<String,Object>) req).get("SVECHECLASS"))?((Map<String,Object>) req).get("SVECHECLASS").toString():"";
                        sVecheType=!PubTools.isEmpty(((Map<String,Object>) req).get("SVECHETYPE"))?((Map<String,Object>) req).get("SVECHETYPE").toString():"";
                        sExitfeeType=!PubTools.isEmpty(((Map<String,Object>) req).get("SEXITFEETYPE"))?((Map<String,Object>) req).get("SEXITFEETYPE").toString():"";
                        SENSTANAMEID=!PubTools.isEmpty(((Map<String,Object>) req).get("SENSTANAMEID"))?((Map<String,Object>) req).get("SENSTANAMEID").toString():"";
                        SEXSTANAMEID=!PubTools.isEmpty(((Map<String,Object>) req).get("SEXSTANAMEID"))?((Map<String,Object>) req).get("SEXSTANAMEID").toString():"";
                        sStatus=!PubTools.isEmpty(((Map<String,Object>) req).get("SSTATUS"))?((Map<String,Object>) req).get("SSTATUS").toString():"";
                        subconno=!PubTools.isEmpty(((Map<String,Object>) req).get("SSUBCOMNO"))?((Map<String,Object>) req).get("SSUBCOMNO").toString():"";
                        roadno=!PubTools.isEmpty(((Map<String,Object>) req).get("SROADNO"))?((Map<String,Object>) req).get("SROADNO").toString():"";
                        stano=!PubTools.isEmpty(((Map<String,Object>) req).get("SSTANO"))?((Map<String,Object>) req).get("SSTANO").toString():"";
                        sGANTRYHEX=!PubTools.isEmpty(((Map<String,Object>) req).get("SGANTRYHEX"))?((Map<String,Object>) req).get("SGANTRYHEX").toString():"";
                        sEACHGANTRY=!PubTools.isEmpty(((Map<String,Object>) req).get("SEACHGANTRY"))?((Map<String,Object>) req).get("SEACHGANTRY").toString():"";
                        isPage=!PubTools.isEmpty(((Map<String,Object>) req).get("ISPAGE"))?((Map<String,Object>) req).get("ISPAGE").toString():"";
                    }else  if(req instanceof JSONObject){
                        classDate=((JSONObject) req).get("dataTime").toString();
                        pageSize= !PubTools.isEmpty(((JSONObject) req).get("pageSize"))?Integer.parseInt(((JSONObject) req).get("pageSize").toString()):0;
                        pageNum= !PubTools.isEmpty(((JSONObject) req).get("pageNum"))?Integer.parseInt(((JSONObject) req).get("pageNum").toString()):0;
                        sPassId=!PubTools.isEmpty(((JSONObject) req).get("SPASSID"))?((JSONObject) req).get("SPASSID").toString():"";
                        enSTANAME=!PubTools.isEmpty(((JSONObject) req).get("ENSTANAME"))?((JSONObject) req).get("ENSTANAME").toString():"";
                        exSTANAME=!PubTools.isEmpty(((JSONObject) req).get("EXSTANAME"))?((JSONObject) req).get("EXSTANAME").toString():"";
                        sVEHICLEID=!PubTools.isEmpty(((JSONObject) req).get("SVEHICLEID"))?((JSONObject) req).get("SVEHICLEID").toString():"";
                        sVecheClass=!PubTools.isEmpty(((JSONObject) req).get("SVECHECLASS"))?((JSONObject) req).get("SVECHECLASS").toString():"";
                        sVecheType=!PubTools.isEmpty(((JSONObject) req).get("SVECHETYPE"))?((JSONObject) req).get("SVECHETYPE").toString():"";
                        sExitfeeType=!PubTools.isEmpty(((JSONObject) req).get("SEXITFEETYPE"))?((JSONObject) req).get("SEXITFEETYPE").toString():"";
                        SENSTANAMEID=!PubTools.isEmpty(((JSONObject) req).get("SENSTANAMEID"))?((JSONObject) req).get("SENSTANAMEID").toString():"";
                        SEXSTANAMEID=!PubTools.isEmpty(((JSONObject) req).get("SEXSTANAMEID"))?((JSONObject) req).get("SEXSTANAMEID").toString():"";
                        sStatus=!PubTools.isEmpty(((Map<String,Object>) req).get("SSTATUS"))?((Map<String,Object>) req).get("SSTATUS").toString():"";
                        subconno=!PubTools.isEmpty(((JSONObject) req).get("SSUBCOMNO"))?((JSONObject) req).get("SSUBCOMNO").toString():"";
                        roadno=!PubTools.isEmpty(((JSONObject) req).get("SROADNO"))?((JSONObject) req).get("SROADNO").toString():"";
                        stano=!PubTools.isEmpty(((JSONObject) req).get("SSTANO"))?((JSONObject) req).get("SSTANO").toString():"";
                        sGANTRYHEX=!PubTools.isEmpty(((JSONObject) req).get("SGANTRYHEX"))?((JSONObject) req).get("SGANTRYHEX").toString():"";
                        sEACHGANTRY=!PubTools.isEmpty(((JSONObject) req).get("SEACHGANTRY"))?((JSONObject) req).get("SEACHGANTRY").toString():"";
                        isPage=!PubTools.isEmpty(((JSONObject) req).get("ISPAGE"))?((Map<String,Object>) req).get("ISPAGE").toString():"";
                    }
                }
                String whereParams="[{\"colName\":\"sPassId\",\"value\":\""+sPassId+"\"},{\"colName\":\"enSTANAME\",\"value\":\""+enSTANAME+"\"}," +
                        "{\"colName\":\"exSTANAME\",\"value\":\""+exSTANAME+"\"},{\"colName\":\"sVEHICLEID\",\"value\":\""+sVEHICLEID+"\"}," +
                        "{\"colName\":\"sVecheClass\",\"value\":\""+sVecheClass+"\"},{\"colName\":\"sVecheType\",\"value\":\""+sVecheType+"\"}," +
                        "{\"colName\":\"sExitfeeType\",\"value\":\""+sExitfeeType+"\"},{\"colName\":\"SENSTANAMEID\",\"value\":\""+SENSTANAMEID+"\"}," +
                        "{\"colName\":\"SEXSTANAMEID\",\"value\":\""+SEXSTANAMEID+"\"},{\"colName\":\"sStatus\",\"value\":\""+sStatus+"\"}" +
                        "{\"colName\":\"subcomno\",\"value\":\""+subconno+"\"},{\"colName\":\"stano\",\"value\":\""+stano+"\"},{\"colName\":\"roadno\",\"value\":\""+roadno+"\"}," +
                        "{\"colName\":\"sGANTRYHEX\",\"value\":\""+sGANTRYHEX+"\"},{\"colName\":\"sEACHGANTRY\",\"value\":\""+sEACHGANTRY+"\"}]]";
            if(PubTools.isNull(isPage) || "Y".equals(isPage)){
                start=(pageNum-1)*pageSize+1;
                end=pageNum*pageSize;
            }else{
                start=pageNum;
                end=pageSize;
            }
                Integer totalCount=0;
                List<GantryPassDivDto> list = excelDateImpl.exportGantryPassDivList(classDate,start,end, JSONArray.parseArray(whereParams));
                ExcelUtil.exportExcel(response,list, GantryPassDivDto.class,"计费验证信息","计费验证信息");
    } catch (IOException e) {
        e.printStackTrace();
        LogUtil.WriteLog_Error("计费验证数据导出失败"+e.getMessage(),"ExportData");
    }
    }*/
}
